{% extends "base.html" %}

{% block content %}
    <style>
        body {
            background-color: #bfc0c2;
        }
    </style>

    <div class="contacts">
        <h2><i class="contact-title shadow">SOLUSI&nbsp;&nbsp;CONSULTING</i></h2>
        <div class="grid">
            <div class="row">
                <div class="cell-4 contact-info">
                    <div class="contactIcon">
                        <img src="https://image.ibb.co/kucZDp/whatsapp-PNG21.png" width="36" height="36">
                        <span class="redFont">PHONE/WHATSAPP</span>(ALVIN SUSIADI)
                        <span style="margin-left: 42px">0811821709 / 087885885838</span>
                    </div>
                </div>
                <div class="cell-3 contact-info">
                    <div class="contactIcon">
                        <img src="https://image.ibb.co/mQfXzU/envelope.png" width="36" height="36"
                             style="position: relative;top: 15px;margin-right: 10px;">
                        <span class="redFont">Email</span><br>
                        <span style="margin-left: 47px">ALVIN.SUSIADI@GMAIL.COM</span>
                    </div>
                </div>
                <div class="cell-5 contact-info">
                    <div class="contactIcon">
                        <img src="https://image.ibb.co/krE369/placeholder.png" width="36" height="36"
                             style="position: relative;top: 15px;margin-right: 5px;">
                        <span class="redFont">ADDRESS</span><br>
                        <span style="margin-left: 42px">JL.DURENTIGA UTARA NO.54, JAKARTA</span>SELATAN</span>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="forms">
        <div class="grid">
            <div class="row">
                <div class="cell-6">
                    <form id="contact-form" action="{% url 'post_msg' %}" method="post">
                        {% csrf_token %}
                        <div class="row">
                            <div class="cell-md-6">
                                <input id="sender" name="sender" type="text" placeholder="NAMA">
                            </div>
                            <div class="cell-md-6">
                                <input id="email" name="email" type="email" placeholder="EMAIL">
                            </div>
                        </div>
                        <div class="row">
                            <div class="cell-md-12">
                                <input id="subject" name="subject" type="text" placeholder="SUBJEK">
                            </div>
                        </div>
                        <div class="row">
                            <div class="cell-md-12">
                                <textarea id="body" name="body" placeholder="PESAN"></textarea>
                            </div>
                        </div>
                        <div class="row">
                            <div class="cell-md-12">
                                <button class="button alert outline contact-btn">KIRIM&nbsp;&nbsp;PESAN</button>
                            </div>
                        </div>
                    </form>
                    <div>{% if msg %}{{ msg.sender }}{% endif %}</div>

                </div>
                <div class="cell-6">
                    <iframe width="450" height="300"
                            src="https://maps.google.com/maps?q=JL.DURENTIGA%20UTARA%20NO.54%2C%20JAKARTASELATAN&t=&z=13&ie=UTF8&iwloc=&output=embed"
                            frameborder="0" scrolling="no" marginheight="0" marginwidth="0"></iframe>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block js %}
    <script>
        $('#contact-form').on('submit', function (event) {
            event.preventDefault();
            post_message();
        });

        function post_message() {
            $.ajax({
                url: "{% url 'post_msg' %}",
                type: "POST",
                data: {
                    sender: $('#sender').val(),
                    email: $('#email').val(),
                    subject: $('#subject').val(),
                    body: $('#body').val(),
                },
                success: function (json) {
                    console.log(json);
                    $('input').val("");
                    $('textarea').val("");
                    Metro.toast.create("PESAN BERHASIL DIKIRIM", null, 5000, "bg-red fg-white");
                },

                // handle a non-successful response
                error: function (xhr, errmsg, err) {
                    console.log(xhr.status + ": " + xhr.responseText);
                }
            });
        };
    </script>
{% endblock %}